Offers
List Available Offers
Get a paginated list of available offers for the user
GET
/{locale}/shop/offersGet a paginated list of available offers for the user
Authorization
apiKey apiSecret X-API-Key<token>
Partner API key from the Partners Portal. Always sent together with X-API-Secret.
In: header
X-API-Secret<token>
Partner API secret. Always sent together with X-API-Key.
In: header
Path Parameters
locale*string
Locale code
Query Parameters
page?integer
Page number
per_page?integer
Items per page (max 50)
Range
value <= 50partner_id?integer
Filter by partner
category?string
Filter by category
is_active?boolean
Filter by active status
Response Body
application/json
application/json
curl -X GET "https://example.com/en/shop/offers"{ "success": true, "data": [ { "id": 1, "title": "20% off all items", "description": "Get 20% discount on all items in store", "discount_type": "percentage", "discount_value": 20, "minimum_points": 100, "maximum_uses": 1000, "used_count": 350, "category": "retail", "is_active": true, "starts_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "partner": { "id": 1, "name": "Partner Store", "logo_url": "https://example.com/logo.png" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "meta": { "current_page": 1, "last_page": 5, "per_page": 15, "total": 68 }, "code": 200}